Bug 1324343 - (CVE-2016-3959) CVE-2016-3959 golang: infinite loop in several big integer routines
CVE-2016-3959 golang: infinite loop in several big integer routines
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20160405,repor...
: Security
Depends On: 1324344 1324345 1330039 1330040
Blocks: 1324346
  Show dependency treegraph
 
Reported: 2016-04-06 02:36 EDT by Andrej Nemec
Modified: 2016-12-14 02:24 EST (History)
28 users (show)

See Also:
Fixed In Version: golang 1.5.4, golang 1.6.1
Doc Type: Bug Fix
Doc Text:
A denial of service vulnerability was found in Go's verification of DSA public keys. An attacker could provide a crafted key to HTTPS client or SSH server libraries which would cause the application to enter an infinite loop.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-11-03 22:16:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Andrej Nemec 2016-04-06 02:36:49 EDT
Go has an infinite loop in several big integer routines that makes Go
programs vulnerable to remote denial of service attacks.  Programs using
HTTPS client authentication or the Go ssh server libraries are both exposed
to this vulnerability.

Upstream fix:

https://go-review.googlesource.com/#/c/21533/

References:

http://seclists.org/oss-sec/2016/q2/11
Comment 1 Andrej Nemec 2016-04-06 02:37:17 EDT
Created golang tracking bugs for this issue:

Affects: fedora-all [bug 1324344]
Affects: epel-6 [bug 1324345]
Comment 2 Fedora Update System 2016-04-17 19:41:25 EDT
golang-1.6.1-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.
Comment 4 Fedora Update System 2016-04-25 18:21:33 EDT
golang-1.5.4-1.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.
Comment 5 Fedora Update System 2016-04-25 19:53:59 EDT
golang-1.5.4-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 8 Tomas Hoger 2016-10-05 03:38:26 EDT
This was fixed upstream in versions 1.5.4 and 1.6.1.  Upstream bug and release notes:

https://github.com/golang/go/issues/15184
https://golang.org/doc/devel/release.html#go1.6
https://golang.org/doc/devel/release.html#go1.5

Upstream bug also notes this related change fixing similar problem for rsa and ecdsa, for which no trigger is known:

https://golang.org/cl/21560

Note You need to log in before you can comment on or make changes to this bug.